Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
ketxu

Quick Leader Dtext

Các bài được khuyến nghị

Ngồi buồn, cậu em vừa nhờ viết cái Qleader dtext cho nhanh, cop paste 1 lát thấy có khi cũng cần thiết cho 1 số anh em, e post luôn.

 

(defun c:le (/ oldmod lst10 str ent)
(setq oldmod (getvar "modemacro")
	oldlay (getvar "clayer"))
;(setvar "modemacro" "Free Lisp LE from Cad-viet @ketxu")
;(setvar "clayer" "KCVN-MANH") : layer net Leader
(defun loc (lst vl /) (setq lst (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) vl)) lst))))
(command "_qleader" pause pause pause)
(command \U+001B)
(setq ent (entget (entlast)))
(setq lst10 (loc ent 10))
(setq str (getstring T "\n Nhap text "))
;(setvar "clayer" "KCVN-TEXT") ; layer dtext
(setq mp (mapcar '+ (nth 1 lst10) (nth 2 lst10))
  mp (mapcar '* mp '(0.5 0.5 0.5)))
(wtxt_l str (mapcar '+ mp '(0.0 0.7 00))) ; 0.7 : khoang cach text toi chan LE theo phuong Y
(setvar "modemacro" oldmod)
(setvar "clayer" oldlay)
)
(defun wtxt_l(txt p / sty d h1 h2 wf h) ;;;Write txt on graphic screen at p, midle bottom
(setq    sty (getvar "textstyle")    
d (tblsearch "style" sty)    
h1 (cdr (assoc 40 d))    
h2 (cdr (assoc 42 d))    
wf (cdr (assoc 41 d)))
(if (> h1 0) (setq h h1) (setq h h2))
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 40 h) (cons 41 wf)(cons 72 1)(cons 11 p) (cons 1 txt) (cons 10 p))))

 

 

P/S :e tâm đắc nhất chỗ nhấn nút ESC :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ngồi buồn, cậu em vừa nhờ viết cái Qleader dtext cho nhanh, cop paste 1 lát thấy có khi cũng cần thiết cho 1 số anh em, e post luôn.

 

(setvar "modemacro" "Free Lisp LE from Cad-viet @ketxu")

 

 

P/S :e tâm đắc nhất chỗ nhấn nút ESC :D

Cám ơn ketxu đã share.

 

Nhưng sau khi chạy thử Cad bị thay đổi nghiêm trọng quá ! :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn ketxu đã share.

 

Nhưng sau khi chạy thử Cad bị thay đổi nghiêm trọng quá ! :D

hehe ^^ Em vẫn để đấy các bác cứ xóa thẳng tay đi th ^^. Cả những chỗ layer LE, layer Text nữa

Chẳng qua là cũng mún PR cadviet với quần chúng. hề hề.

 

(setvar "modemacro" oldmod)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(command \U+001B)

Định làm gì đây hả ketxu? ký tự trên mình cũng không tìm thấy trong bảng mã unicode

P/S :e tâm đắc nhất chỗ nhấn nút ESC :D

Tâm đắc cái giề? mình nhấn nút Esc có thấy gì đâu nào :angry:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dòng đấy tương đương với ấn ESC khi đang thực hiện lệnh QLeader bác ạ.Esc đúng chỗ nó đòi viết Mtext cho Leader ý ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dòng đấy tương đương với ấn ESC khi đang thực hiện lệnh QLeader bác ạ.Esc đúng chỗ nó đòi viết Mtext cho Leader ý ^^

Ah há, vậy thì nó cũng giống thế này (command ^C)

Còn về biến modemacro, mình nghĩ thay vì dùng nó ta nên dùng hàm Grtext thì hay hơn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề, cái modemacro thì k tính r ^^

Command ^C giwò e mới biết, cảm giác như Enter ấy hè

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×